## pyftdi 0.52.9

=== requirements.txt ===
pyusb>=1.0
pyserial >= 3.0
aenum >= 2.1.0; python_version < '3.6'

=== debian/changelog ===
pyftdi (0.52.9-1) unstable; urgency=medium

  * Initial upload. (Closes: #980884)

 -- Anton Gladky <gladk@debian.org>  Sat, 23 Jan 2021 18:59:12 +0100

=== debian/control ===
Source: pyftdi
Maintainer: Anton Gladky <gladk@debian.org>
Section: libs
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-dev,
               python3-serial,
               python3-pytest,
               python3-setuptools,
               sphinx,
               python3-sphinx-autodoc-typehints,
               python3-sphinx-rtd-theme,
               python3-usb
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/debian/pyftdi
Vcs-Git: https://salsa.debian.org/debian/pyftdi.git
Homepage: https://github.com/rm-hull/ftdi

Package: python3-ftdi
Architecture: any
Section: python
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: user-space driver for popular FTDI devices
 Suported FTDI devices include:
  UART and GPIO bridges
      FT232R (single port, 3Mbps)
      FT230X/FT231X/FT234X/ (single port, 3Mbps)
  UART, GPIO and multi-serial protocols (SPI, I2C, JTAG) bridges
      FT2232C/D (dual port, clock up to 6 MHz)
      FT232H (single port, clock up to 30 MHz)
      FT2232H (dual port, clock up to 30 MHz)
      FT4232H (quad port, clock up to 30 MHz)

Package: python3-ftdi-doc
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends},
         ${misc:Depends}
Description: user-space driver for popular FTDI devices. Documentation
 Suported FTDI devices include:
  UART and GPIO bridges
      FT232R (single port, 3Mbps)
      FT230X/FT231X/FT234X/ (single port, 3Mbps)
  UART, GPIO and multi-serial protocols (SPI, I2C, JTAG) bridges
      FT2232C/D (dual port, clock up to 6 MHz)
      FT232H (single port, clock up to 30 MHz)
      FT2232H (dual port, clock up to 30 MHz)
      FT4232H (quad port, clock up to 30 MHz)
  Package contains documentation

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME = ftdi

%:
	dh $@ --with python3 --with sphinxdoc --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf *ftdi.egg-info

override_dh_auto_test:

override_dh_auto_install-indep:
	sphinx-build -W -b html ./pyftdi/doc ./pyftdi/doc/html
	cd $(CURDIR)/pyftdi/doc/html && find . -type f -print0 | xargs -0 sed -i 's/https:\/\/fonts.googleapis.com//g'
	dh_auto_install -i

## pyftdi 0.53.3

=== debian/changelog ===
pyftdi (0.53.3-1) unstable; urgency=medium

  * [8369272] New upstream version 0.53.3. (Closes: #1002138)
  * [0eed308] Update patch

 -- Anton Gladky <gladk@debian.org>  Tue, 21 Dec 2021 20:54:54 +0100

pyftdi (0.52.9-4) unstable; urgency=medium

  * [5e62c7e] Move package into the Electronics Team

 -- Anton Gladky <gladk@debian.org>  Sat, 20 Mar 2021 22:29:58 +0100

pyftdi (0.52.9-3) unstable; urgency=medium

  * [6e1f0e6] Drop auto_test on s390x

 -- Anton Gladky <gladk@debian.org>  Sat, 27 Feb 2021 10:11:26 +0100

pyftdi (0.52.9-2) unstable; urgency=medium

  * [261b671] Add autopkgtest

 -- Anton Gladky <gladk@debian.org>  Tue, 23 Feb 2021 22:56:03 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: pyftdi
-Maintainer: Anton Gladky <gladk@debian.org>
+Maintainer: Debian Electronics Team <pkg-electronics-devel@alioth-lists.debian.net>
+Uploaders: Anton Gladky <gladk@debian.org>
 Section: libs
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
@@ -8,14 +9,16 @@
                python3-serial,
                python3-pytest,
                python3-setuptools,
+               python3-ruamel.yaml,
                sphinx,
                python3-sphinx-autodoc-typehints,
                python3-sphinx-rtd-theme,
                python3-usb
 Standards-Version: 4.5.1
-Vcs-Browser: https://salsa.debian.org/debian/pyftdi
-Vcs-Git: https://salsa.debian.org/debian/pyftdi.git
+Vcs-Browser: https://salsa.debian.org/electronics-team/pyftdi
+Vcs-Git: https://salsa.debian.org/electronics-team/pyftdi.git
 Homepage: https://github.com/rm-hull/ftdi
+Testsuite: autopkgtest-pkg-python
 
 Package: python3-ftdi
 Architecture: any

## pyftdi 0.54.0

=== requirements.txt ===
pyusb>=1.0, != 1.2.0
pyserial >= 3.0

=== debian/changelog ===
pyftdi (0.54.0-1) unstable; urgency=medium

  * [a3bbd4f] New upstream version 0.54.0
  * [832df40] Update standards version to 4.6.1, no changes needed.
  * [e3230ad] Fix homepage.
  * [d8764c3] Replace dep from sphinx to python3-sphinx.

 -- Anton Gladky <gladk@debian.org>  Mon, 24 Oct 2022 23:05:22 +0200

=== debian/control ===
--- 
+++ 
@@ -10,14 +10,14 @@
                python3-pytest,
                python3-setuptools,
                python3-ruamel.yaml,
-               sphinx,
+               python3-sphinx,
                python3-sphinx-autodoc-typehints,
                python3-sphinx-rtd-theme,
                python3-usb
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/electronics-team/pyftdi
 Vcs-Git: https://salsa.debian.org/electronics-team/pyftdi.git
-Homepage: https://github.com/rm-hull/ftdi
+Homepage: https://github.com/eblot/pyftdi
 Testsuite: autopkgtest-pkg-python
 
 Package: python3-ftdi

## pyftdi 0.56.0

=== debian/changelog ===
pyftdi (0.56.0-1) unstable; urgency=medium

  * [1bdd8c6] Remove patch
  * [99ecdc7] New upstream version 0.56.0. (Closes: #1092508, #1048912)
  * [1ea9db2] d/control: set Standards-Version to 4.7.0

 -- Anton Gladky <gladk@debian.org>  Fri, 17 Jan 2025 07:20:49 +0100

=== debian/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
 Maintainer: Debian Electronics Team <pkg-electronics-devel@alioth-lists.debian.net>
 Uploaders: Anton Gladky <gladk@debian.org>
 Section: libs
+Testsuite: autopkgtest-pkg-python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-python,
@@ -14,11 +15,10 @@
                python3-sphinx-autodoc-typehints,
                python3-sphinx-rtd-theme,
                python3-usb
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/electronics-team/pyftdi
 Vcs-Git: https://salsa.debian.org/electronics-team/pyftdi.git
 Homepage: https://github.com/eblot/pyftdi
-Testsuite: autopkgtest-pkg-python
 
 Package: python3-ftdi
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,9 @@
 	rm -rf *ftdi.egg-info
 
 override_dh_auto_test:
+ifeq (,$(filter $(DEB_HOST_ARCH), s390x))
+	PYTHONPATH=$(CURDIR) python3 $(CURDIR)/pyftdi/tests/mockusb.py
+endif
 
 override_dh_auto_install-indep:
 	sphinx-build -W -b html ./pyftdi/doc ./pyftdi/doc/html

=== debian/watch ===
version=4
https://github.com/eblot/pyftdi/tags .*/v?(\d\S+)\.tar\.gz
